<script lang="ts">
    import Icon from './Icon/Icon.svelte'

    export let value: number
    export let production: number
    export let name: string
    export let max: number
</script>

<div class="resource">
    <Icon {name} />
    <div>
        <p class="value" class:max={value === max}>{value}</p>
        <p class="production">+{production}</p>
    </div>
</div>

<style lang="postcss">
    .resource {
        @apply grid items-center justify-center;
        grid-template-columns: repeat(2, minmax(max-content, 1fr));
    }
    .production {
        @apply text-xs;
    }

    .max {
        @apply text-red-500;
    }
</style>
